################################################################################
#
#    Licensed to the Apache Software Foundation (ASF) under one or more
#    contributor license agreements.  See the NOTICE file distributed with
#    this work for additional information regarding copyright ownership.
#    The ASF licenses this file to You under the Apache License, Version 2.0
#    (the "License"); you may not use this file except in compliance with
#    the License.  You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
################################################################################

#
# This file contains the users, groups, and roles.
# Each line has to be of the format:
#
# USER=PASSWORD,ROLE1,ROLE2,...
# USER=PASSWORD,_g_:GROUP,...
# _g_\:GROUP=ROLE1,ROLE2,...
#
# All users, groups, and roles entered in this file are available after Karaf startup
# and modifiable via the JAAS command group. These users reside in a JAAS domain
# with the name "karaf".
#
#karaf = karaf,_g_:admingroup
#_g_\:admingroup = group,admin,manager,viewer,systembundles,ssh

#default user for initial config
bpcadmin = {CRYPT}246172676f6e32696424763d3139246d3d343039362c743d332c703d31244151673368493058587545446d4f4b3375746a4543772432353671477a4b744b7a5059744b766b4e4763354d55395558426d574a7a5357754a4a5a394d4673575363{CRYPT},bpcadmin
root = {CRYPT}246172676f6e32696424763d3139246d3d343039362c743d332c703d3124334173715a46327447346e6b4976586666646451794124355a4b794c4b6373692f417051554c576a545046366d69444837366e377057346846763352494f53717449{CRYPT},bpcadmin
virtimo = {CRYPT}246172676f6e32696424763d3139246d3d343039362c743d332c703d31246f51765134326c525a2b515a34744962776346734977245434696952507576743335323278323376446d4d2b715173756f3749306d6b652f726d694b5331717a5834{CRYPT},_g_:admingroup,bpcNoFrontend
_g_\:admingroup = group,admin,manager,viewer,systembundles